Module jdk.jdi
Package com.sun.jdi

## Interface Locatable

All Known Subinterfaces:
  AccessWatchpointEvent, BreakpointEvent, BreakpointRequest, ExceptionEvent, LocatableEvent, Method, MethodEntryEvent, MethodExitEvent, ModificationWatchpointEvent, MonitorContendedEnteredEvent, MonitorContendedEnterEvent, MonitorWaitedEvent, MonitorWaitEvent, StackFrame, StepEvent, WatchpointEvent

    public interface Locatable

A mirror that has a `Location`.

Since:
  1.3

### Method Summary

All Methods Instance Methods Abstract Methods
`Location` `location()` Returns the `Location` of this mirror, if there is executable code associated with it.

### Method Detail

#### location

    Location location()

Returns the `Location` of this mirror, if there is executable code associated with it. Note that both Java™ programming language methods and native methods have executable code. Returns null for abstract methods, since abstract methods have no executable code.

Returns:
  the `Location` of this mirror, or null if there is no executable code associated with it.